# εξίσωση 1ου βαθμού
a=float(input("ax+b=0   a="))
b=float(input("ax+b=0   b="))
if a!=0:
    x=-b/a
    print("x=",x)
if a==0 and b==0:
    print("αοριστη εξίσωση")
if a==0 and b!=0:
    print("αδύνατη εξίσωση")

print("τέλος προγράμματος")
